---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/librawmonenter004.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C080, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4DFC0, symBinAddr: 0xA100, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4E3A8, symBinAddr: 0xA4E8, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4F348, symBinAddr: 0xB488, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4F350, symBinAddr: 0xB490, symSize: 0x0 }
  - { offsetInCU: 0x7BE, offset: 0x7BE, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4BD00, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x7C9, offset: 0x7C9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4BD04, symBinAddr: 0x8084, symSize: 0x0 }
  - { offsetInCU: 0x7D4, offset: 0x7D4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4BD08, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x819, offset: 0x819, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4BE58, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x892, offset: 0x892, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4BF10, symBinAddr: 0x8148, symSize: 0x0 }
  - { offsetInCU: 0x8B0, offset: 0x8B0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4BF14, symBinAddr: 0x814C, symSize: 0x0 }
  - { offsetInCU: 0x8C9, offset: 0x8C9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4BF18, symBinAddr: 0x8150, symSize: 0x0 }
  - { offsetInCU: 0x8E2, offset: 0x8E2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4BF1C, symBinAddr: 0x8154, symSize: 0x0 }
  - { offsetInCU: 0x8FB, offset: 0x8FB, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4BF20, symBinAddr: 0x8158, symSize: 0x0 }
  - { offsetInCU: 0x8EC1, offset: 0x8EC1, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4BF28, symBinAddr: 0x8160, symSize: 0x0 }
  - { offsetInCU: 0x8F4A, offset: 0x8F4A, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4BF40, symBinAddr: 0x8170, symSize: 0x0 }
  - { offsetInCU: 0x8F63, offset: 0x8F63, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4BF48, symBinAddr: 0x8178, symSize: 0x0 }
  - { offsetInCU: 0x8F7C, offset: 0x8F7C, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4BF50, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x8F95, offset: 0x8F95, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4BF58, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x8FAF, offset: 0x8FAF, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4BF60, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x9095, offset: 0x9095, size: 0x8, addend: 0x0, symName: __ZL9printdump, symObjAddr: 0x4BFA2, symBinAddr: 0x819A, symSize: 0x0 }
  - { offsetInCU: 0x90B5, offset: 0x90B5, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4BFA8, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x90CE, offset: 0x90CE, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x4BFB0, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x90E7, offset: 0x90E7, size: 0x8, addend: 0x0, symName: __ZL9wait_lock, symObjAddr: 0x4BFB8, symBinAddr: 0x81B0, symSize: 0x0 }
  - { offsetInCU: 0x9100, offset: 0x9100, size: 0x8, addend: 0x0, symName: __ZL12monitorCount, symObjAddr: 0x4BFC0, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9119, offset: 0x9119, size: 0x8, addend: 0x0, symName: __ZL6result, symObjAddr: 0x4BFC4, symBinAddr: 0x81BC, symSize: 0x0 }
  - { offsetInCU: 0x9172, offset: 0x9172, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0xA20, symSize: 0xA0 }
  - { offsetInCU: 0x9207, offset: 0x9207, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x9F8, symSize: 0x28 }
  - { offsetInCU: 0x926A, offset: 0x926A, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x978, symSize: 0x80 }
  - { offsetInCU: 0x94FE, offset: 0x94FE, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0xAC0, symSize: 0x20C }
  - { offsetInCU: 0x96B7, offset: 0x96B7, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0xCCC, symSize: 0x28 }
  - { offsetInCU: 0x9780, offset: 0x9780, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0xCF4, symSize: 0xB0 }
  - { offsetInCU: 0x9877, offset: 0x9877, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0xDA4, symSize: 0xD8 }
  - { offsetInCU: 0x99C8, offset: 0x99C8, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0xE7C, symSize: 0x24 }
  - { offsetInCU: 0x9A53, offset: 0x9A53, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0xEA0, symSize: 0x168 }
  - { offsetInCU: 0x9C2F, offset: 0x9C2F, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x1008, symSize: 0x104 }
  - { offsetInCU: 0x9DAC, offset: 0x9DAC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x110C, symSize: 0x154 }
  - { offsetInCU: 0x9F90, offset: 0x9F90, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x1260, symSize: 0xAC }
  - { offsetInCU: 0xA065, offset: 0xA065, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x130C, symSize: 0x14 }
  - { offsetInCU: 0xA09E, offset: 0xA09E, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x1320, symSize: 0x14 }
  - { offsetInCU: 0xA0D7, offset: 0xA0D7, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x1334, symSize: 0x14 }
  - { offsetInCU: 0xA254, offset: 0xA254, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x1348, symSize: 0x1A8 }
  - { offsetInCU: 0xA568, offset: 0xA568, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x14F0, symSize: 0x9C }
  - { offsetInCU: 0xA625, offset: 0xA625, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x158C, symSize: 0x690 }
  - { offsetInCU: 0xB1B7, offset: 0xB1B7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x9240, symBinAddr: 0x2808, symSize: 0x30 }
  - { offsetInCU: 0xB243, offset: 0xB243, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x1C1C, symSize: 0x74 }
  - { offsetInCU: 0xB2D3, offset: 0xB2D3, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x1C90, symSize: 0xB0 }
  - { offsetInCU: 0xB3B2, offset: 0xB3B2, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x1D40, symSize: 0x3C }
  - { offsetInCU: 0xB4A8, offset: 0xB4A8, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x1D7C, symSize: 0x29C }
  - { offsetInCU: 0xB7EB, offset: 0xB7EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x2018, symSize: 0xD0 }
  - { offsetInCU: 0xB919, offset: 0xB919, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x20E8, symSize: 0xC }
  - { offsetInCU: 0xB9DB, offset: 0xB9DB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x20F4, symSize: 0x22C }
  - { offsetInCU: 0xBCCF, offset: 0xBCCF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x2320, symSize: 0x90 }
  - { offsetInCU: 0xBD94, offset: 0xBD94, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8DE8, symBinAddr: 0x23B0, symSize: 0x90 }
  - { offsetInCU: 0xBEA5, offset: 0xBEA5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_RawMonitorEnter_rawmonenter004_check, symObjAddr: 0x8E78, symBinAddr: 0x2440, symSize: 0x2E4 }
  - { offsetInCU: 0xC17A, offset: 0xC17A, size: 0x8, addend: 0x0, symName: __ZL16increment_threadP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x915C, symBinAddr: 0x2724, symSize: 0xE4 }
  - { offsetInCU: 0xC275, offset: 0xC275, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9270, symBinAddr: 0x2838, symSize: 0x358 }
...
